apiVersion: v1
items:
- apiVersion: org.eclipse.che/v1
  kind: CheCluster
  metadata:
    creationTimestamp: "2021-11-18T20:00:36Z"
    finalizers:
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
    generation: 17
    name: codeready-workspaces
    namespace: update-crw-crwctl
    resourceVersion: "372142"
    uid: 655abee1-d095-421d-9d80-a7791bfec8c0
  spec:
    auth:
      externalIdentityProvider: false
      identityProviderClientId: codeready-public
      identityProviderContainerResources:
        limits: {}
        request: {}
      identityProviderIngress: {}
      identityProviderPostgresSecret: che-identity-postgres-secret
      identityProviderRealm: codeready
      identityProviderRoute: {}
      identityProviderSecret: che-identity-secret
      identityProviderURL: https://keycloak-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com/auth
      initialOpenShiftOAuthUser: true
      oAuthClientName: codeready-workspaces-openshift-identity-provider-aurdvh
      oAuthSecret: iWBCSLU12esi
      openShiftoAuth: true
      updateAdminPassword: false
    database:
      chePostgresContainerResources:
        limits: {}
        request: {}
      chePostgresDb: dbche
      chePostgresHostName: postgres
      chePostgresPort: "5432"
      chePostgresSecret: che-postgres-secret
      externalDb: false
      postgresVersion: "9.6"
    devWorkspace:
      enable: false
    imagePuller:
      enable: false
      spec: {}
    k8s:
      tlsSecretName: che-tls
    metrics:
      enable: true
    server:
      allowUserDefinedWorkspaceNamespaces: false
      cheDebug: "false"
      cheFlavor: codeready
      cheHost: codeready-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com
      cheLogLevel: INFO
      cheServerIngress: {}
      cheServerRoute: {}
      customCheProperties:
        CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS: Failed Scheduling,Failed
          to pull image
        CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN: "10"
        CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: "-1"
        CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT: "900000"
      dashboardIngress: {}
      dashboardRoute: {}
      devfileRegistryIngress: {}
      devfileRegistryRoute: {}
      externalDevfileRegistry: false
      externalPluginRegistry: false
      gitSelfSignedCert: false
      pluginRegistryIngress: {}
      pluginRegistryRoute: {}
      selfSignedCert: true
      serverExposureStrategy: multi-host
      tlsSupport: true
      useInternalClusterSVCNames: false
      workspaceNamespaceDefault: <username>-codeready
    storage:
      preCreateSubPaths: true
      pvcClaimSize: 2Gi
      pvcStrategy: per-workspace
  status:
    cheClusterRunning: Available
    cheURL: https://codeready-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com
    cheVersion: 2.13.0
    dbProvisioned: true
    devfileRegistryURL: https://devfile-registry-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com
    devworkspaceStatus:
      message: DevWorkspace CRDs are not installed
      phase: Inactive
    gitHubOAuthProvisioned: false
    keycloakProvisioned: true
    keycloakURL: https://keycloak-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com/auth
    openShiftoAuthProvisioned: true
    pluginRegistryURL: https://plugin-registry-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com/v3
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
